Name: roundcubemail
Version: 1.2.3
Release: 3%{?dist}
Summary: Roundcube webmail is a browser-based multilingual IMAP client with an application-like user interface. 
Group: Applications/Webmail
Packager: Benjamin Chambers <benjamin@elogic.ca>
License: GPL3
URL: http://roundcube.net
Source0: roundcubemail-1.2.3-complete.tar.gz
Source1: Roundcube-Plugin-SieveRules-Managesieve-2.3.tar.gz
Source2: Roundcube-Plugin-Global-Address-Book-1.9.tar.gz
Source3: roundcubemail-httpd.conf
Source4: roundcubemail-config.inc.php
Requires: php >= 5.3.7, httpd >= 2.4
Requires: php-fileinfo
Requires: php-mbstring
Requires: php-mcrypt
Requires: php-mysql
Requires: php-pdo
Requires: php-xml
Requires: php-intl
Requires: php-pear-Auth-SASL
Requires: php-pear-Mail-mimeDecode
Requires: php-pear-Mail-Mime
Requires: php-pear-Net-IDNA2
Requires: php-pear-Net-SMTP
Requires: php-pear-Net-Socket
Requires: php-pspell
Requires: aspell
Requires: aspell-en
BuildArch: noarch
BuildRoot: /tmp/%{name}-build

%description
RoundCube Webmail is a browser-based multilingual IMAP client with an application-like user interface.
It provides full functionality you expect from an e-mail client, including MIME support, LDAP address book,
folder manipulation, message searching and spell checking.  RoundCube Webmail is written in PHP and requires
a MySQL database.

%prep
%setup -n %{name}-%{version} -a 1 -a 2 -q

%build

%install
rm -rf $RPM_BUILD_ROOT

# Plugins
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/share/roundcubemail/plugins/sieverules
mv -T Roundcube-Plugin-SieveRules-Managesieve-2.3 ${RPM_BUILD_ROOT}/usr/share/roundcubemail/plugins/sieverules
cp ${RPM_BUILD_ROOT}/usr/share/roundcubemail/plugins/sieverules/config.inc.php.dist ${RPM_BUILD_ROOT}/usr/share/roundcubemail/plugins/sieverules/config.inc.php
mv -T Roundcube-Plugin-Global-Address-Book-1.9 ${RPM_BUILD_ROOT}/usr/share/roundcubemail/plugins/globaladdressbook
cp ${RPM_BUILD_ROOT}/usr/share/roundcubemail/plugins/globaladdressbook/config.inc.php.dist ${RPM_BUILD_ROOT}/usr/share/roundcubemail/plugins/globaladdressbook/config.inc.php

# Roundcube
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/share/roundcubemail
cp -rp * $RPM_BUILD_ROOT/usr/share/roundcubemail

install -m 0644 -D -p %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/roundcubemail.conf
cp -rp %{SOURCE4} ${RPM_BUILD_ROOT}/usr/share/roundcubemail/config/config.inc.php

# Cleanup
rm -f ${RPM_BUILD_ROOT}/usr/share/roundcubemail/INSTALL.orig

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/service httpd condrestart
mv /usr/share/roundcubemail/installer /usr/share/roundcubemail/.installer
chmod 600 /usr/share/roundcubemail/.installer

%files
%defattr(-,root,root,-)
%config(noreplace) %attr(640, apache, root) /usr/share/roundcubemail/config/config.inc.php
%config(noreplace) %attr(640, apache, root) /usr/share/roundcubemail/config/defaults.inc.php
%dir /usr/share/roundcubemail
%doc /usr/share/roundcubemail/CHANGELOG
%doc /usr/share/roundcubemail/INSTALL
%doc /usr/share/roundcubemail/LICENSE
%doc /usr/share/roundcubemail/README.md
%doc /usr/share/roundcubemail/UPGRADING
/usr/share/roundcubemail/index.php
/usr/share/roundcubemail/robots.txt
/usr/share/roundcubemail/composer.json-dist
/usr/share/roundcubemail/bin/
/usr/share/roundcubemail/config/config.inc.php.sample
/usr/share/roundcubemail/config/mimetypes.php
/usr/share/roundcubemail/config/.htaccess
/usr/share/roundcubemail/plugins/
/usr/share/roundcubemail/installer/
/usr/share/roundcubemail/program/
/usr/share/roundcubemail/skins/
/usr/share/roundcubemail/vendor/
/usr/share/roundcubemail/SQL/
/usr/share/roundcubemail/public_html/
%attr(755, apache, root) /usr/share/roundcubemail/logs/
%attr(755, apache, root) /usr/share/roundcubemail/temp/
%config(noreplace) %{_sysconfdir}/httpd/conf.d/roundcubemail.conf

%changelog
* Mon Jan 30 2017 Benjamin Chambers <devel@egloo.ca> - 1.2.3-3
- Fixed typo in bootstrap/config file

* Sat Jan 28 2017 Benjamin Chambers <devel@egloo.ca> - 1.2.3-1
- Dockerfile reference removed

* Sat Jan 28 2017 Benjamin Chambers <devel@egloo.ca> - 1.2.3-1
- Upgrade to 1.2.3

* Mon Oct 26 2015 Benjamin Chambers <devel@egloo.ca> - 1.1.3-2
- Fix plugin locations and default config files

* Thu Sep 24 2015 Peter Baldwin <devel@egloo.ca> - 1.1.3-1
- Upgrade to 1.1.3

* Tue May 26 2015 Benjamin Chambers <devel@egloo.ca> - 1.0.5-2
- Updated for ClearOS 7

* Mon Feb 09 2015 Benjamin Chambers <devel@egloo.ca> - 1.0.5-1
- Upgrade to 1.0.5

* Fri Jun 20 2014 Benjamin Chambers <devel@egloo.ca> - 1.0.1-1
- Upgrade to 1.0.1

* Wed Feb 19 2014 Benjamin Chambers <devel@egloo.ca> - 1.0-2
- Added aspell support
- Bring config outside tar

* Thu Feb 06 2014 Benjamin Chambers <devel@egloo.ca> - 1.0
- Started changelog
